Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.blueprint.container
Class ServiceUnavailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.osgi.framework.ServiceException
                      org.osgi.service.blueprint.container.ServiceUnavailableException

All Implemented Interfaces:
  Serializable

    public class ServiceUnavailableException

extends org.osgi.framework.ServiceException

A Blueprint exception indicating that a service is unavailable. This exception is thrown when an invocation is made on a service reference and a backing service is not available.

Version:
  $Revision: 7556 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.osgi.framework.ServiceException
`FACTORY_ERROR, FACTORY_EXCEPTION, REMOTE, SUBCLASSED, UNREGISTERED, UNSPECIFIED`

Constructor Summary
`ServiceUnavailableException(String message, String filter)` Creates a Service Unavailable Exception with the specified message.
`ServiceUnavailableException(String message, String filter, Throwable cause)` Creates a Service Unavailable Exception with the specified message and exception cause.

Method Summary
`String` | `getFilter()` Returns the filter expression that a service would have needed to satisfy in order for the invocation to proceed.

Methods inherited from class org.osgi.framework.ServiceException
`getType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceUnavailableException

    public ServiceUnavailableException(String message,
                                       String filter)

  Creates a Service Unavailable Exception with the specified message.

  Parameters:
    `message` - The associated message.
    `filter` - The filter used for the service lookup.

### ServiceUnavailableException

    public ServiceUnavailableException(String message,
                                       String filter,
                                       Throwable cause)

  Creates a Service Unavailable Exception with the specified message and exception cause.

  Parameters:
    `message` - The associated message.
    `filter` - The filter used for the service lookup.
    `cause` - The cause of this exception.

Method Detail

### getFilter

    public String getFilter()

  Returns the filter expression that a service would have needed to satisfy in order for the invocation to proceed.

  Returns:
    The failing filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.